[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# MilliSecondsBetween

Calculate the number of whole milliseconds between two DateTime values.

## Declaration

Source position: dateutil.inc line 263

`function MilliSecondsBetween(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Int64;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number of milliseconds between ANow and AThen

## Description

MillisSecondsBetween returns the number of whole milliseconds between ANow and AThen. This means a fractional part of a millisecond is dropped.

## See also

YearsBetween |  | Calculate the number of whole years between two DateTime values
MonthsBetween |  | Calculate the number of whole months between two DateTime values
WeeksBetween |  | Calculate the number of whole weeks between two DateTime values
DaysBetween |  | Number of whole days between two DateTime values.
HoursBetween |  | Calculate the number of whole hours between two DateTime values.
MinutesBetween |  | Calculate the number of whole minutes between two DateTime values.
SecondsBetween |  | Calculate the number of whole seconds between two DateTime values.

## Example

    Program Example62;

    { This program demonstrates the MilliSecondsBetween function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of milliseconds between ');
     Write(TimeToStr(AThen),' and ',TimeToStr(ANow));
     Writeln(' : ',MilliSecondsBetween(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=D1-(0.9*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(1.0*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(1.1*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(2.5*OneMilliSecond);
      Test(D1,D2);
    End.

Documentation generated on: Feb 26 2014